Orxonox: method2< C, R, T1, object const & > Class Template Reference

# method2< C, R, T1, object const & > Class Template Reference

`#include <src/cpptcl/details/methods_v.h>`

List of all members.

## Public Member Functions

virtual void | invoke (void *pv, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], policies const &pol)
| method2 (cmem_type f)
| method2 (mem_type f)

## Private Types

enum | { var_start = 3 }
typedef R(C::* | cmem_type )(T1, T2) const
typedef R(C::* | mem_type )(T1, T2)
typedef object const & | T2

## Private Attributes

cmem_type | cf_
bool | cmem_
mem_type | f_

### template<class C, typename R, typename T1>
class method2< C, R, T1, object const & >

## Member Typedef Documentation

template<class C, typename R, typename T1>

typedef R(C::* method2< C, R, T1, object const & >::cmem_type)(T1, T2) const `[private]`

template<class C, typename R, typename T1>

typedef R(C::* method2< C, R, T1, object const & >::mem_type)(T1, T2)`[private]`

template<class C, typename R, typename T1>

typedef object const& method2< C, R, T1, object const & >::T2`[private]`

## Member Enumeration Documentation

template<class C, typename R, typename T1>

anonymous enum`[private]`

Enumerator:

  var_start |

## Constructor & Destructor Documentation

template<class C, typename R, typename T1>

method2< C, R, T1, object const & >::method2 | ( | mem_type | f | ) | `[inline]`

template<class C, typename R, typename T1>

method2< C, R, T1, object const & >::method2 | ( | cmem_type | f | ) | `[inline]`

## Member Function Documentation

template<class C, typename R, typename T1>

virtual void method2< C, R, T1, object const & >::invoke | ( | void * | pv,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | policies const & | pol |
| ) |  |  | `[inline, virtual]`

References orxonox::KeyCode::C, method2< C, R, T1, T2 >::cf_, method2< C, R, T1, T2 >::cmem_, method2< C, R, T1, T2 >::f_, and Tcl::details::get_var_params().

## Member Data Documentation

template<class C, typename R, typename T1>

cmem_type method2< C, R, T1, object const & >::cf_`[private]`

template<class C, typename R, typename T1>

bool method2< C, R, T1, object const & >::cmem_`[private]`

template<class C, typename R, typename T1>

mem_type method2< C, R, T1, object const & >::f_`[private]`

The documentation for this class was generated from the following file:

- src/cpptcl/details/methods_v.h